## kn source

Event source command group

### Synopsis

Event source command group

```
kn source [flags]
```

### Options

```
  -h, --help   help for source
```

### Options inherited from parent commands

```
      --config string       kn config file (default is ~/.config/kn/config.yaml)
      --kubeconfig string   kubectl config file (default is ~/.kube/config)
      --log-http            log http traffic
```

### SEE ALSO

* [kn](kn.md)	 - Knative client
* [kn source apiserver](kn_source_apiserver.md)	 - Kubernetes API Server Event Source command group
* [kn source binding](kn_source_binding.md)	 - Sink binding command group
* [kn source list](kn_source_list.md)	 - List available sources
* [kn source list-types](kn_source_list-types.md)	 - List available source types
* [kn source ping](kn_source_ping.md)	 - Ping source command group

